--[[ 
This is the array containing the data: Zone - SubZone - ItemID - Target - Aim - Quest
- Zone/SubZone - ANY means it doesn't matter what zone or subzone you are in
- ItemID - the Item number to search for in bags and equipped
- Target - Only use the item if your have this targetted or (see next)
- Aim - for fast moving targets, will attempt to target before using item
- Quest - Only use the item if quest is active and not completed (or unstarted if neg)

The further down the list the higher the priority (by overwriting previous ones)
As such the more generic the zone and target, the higher up it should go.  Also
aimed entries should go above non-aimed.
--]]

function DailyItem_AddArrayLine(Zone,SubZone,Item,Target,Aim,Quest)
  local index = table.getn(DailyItem_LocalItems) + 1;
  DailyItem_LocalItems[index] = {Zone,SubZone,Item,Target,Aim,Quest};
end

	
function DailyItem_MakeArray()
  DailyItem_LocalItems = {};
-- DailyItem_AddArrayLine(Zone,SubZone,Item,Target,Aim,Quest);

-- Random items you may find you've picked up and want to use (low priority):

  DailyItem_AddArrayLine(nul   ,nul   ,28455,nul   ,0,nul); -- Archmage Vargoth
  DailyItem_AddArrayLine(nul   ,nul   ,45061,nul   ,0,nul); -- Foam Sword
  DailyItem_AddArrayLine(nul   ,nul   ,45176,nul   ,0,nul); -- Foam Sword
  DailyItem_AddArrayLine(nul   ,nul   ,45177,nul   ,0,nul); -- Foam Sword
  DailyItem_AddArrayLine(nul   ,nul   ,45178,nul   ,0,nul); -- Foam Sword
  DailyItem_AddArrayLine(nul   ,nul   ,45179,nul   ,0,nul); -- Foam Sword

-- Next, the items that are actually from daily quests (or rewards)

  DailyItem_AddArrayLine(nul   ,nul   ,20393,nul   ,0,nul); -- Treat Bag (Hallows' End Reward)
  DailyItem_AddArrayLine(nul   ,nul   ,32971,nul   ,0,nul); -- Water Bucket (Hallows' End Daily)
  DailyItem_AddArrayLine(nul   ,nul   ,33306,nul   ,0,nul); -- Ram Racing Reins
  DailyItem_AddArrayLine(nul   ,nul   ,34077,nul   ,0,nul); -- Crudely Wrapped Gift (Hallows' End Reward)
  DailyItem_AddArrayLine(nul   ,nul   ,37586,nul   ,0,nul); -- Handful of Candy (Hallows' End Reward)
  DailyItem_AddArrayLine(nul   ,nul   ,41989,nul   ,0,nul); -- Vrykul Amulet (Jewelcrafting Daily)
  DailyItem_AddArrayLine(nul   ,nul   ,42104,nul   ,0,nul); -- Northern Ivory (Jewelcrafting Daily)
  DailyItem_AddArrayLine(nul   ,nul   ,42105,nul   ,0,nul); -- Iron Dwarf Brooch (Jewelcrafting Daily)
  DailyItem_AddArrayLine(nul   ,nul   ,42106,nul   ,0,nul); -- Proto Dragon Bone (Jewelcrafting Daily)
  DailyItem_AddArrayLine(nul   ,nul   ,42107,nul   ,0,nul); -- Elemental Armor Scrap (Jewelcrafting Daily)
  DailyItem_AddArrayLine(nul   ,nul   ,42108,nul   ,0,nul); -- Scourge Curio (Jewelcrafting Daily)
  DailyItem_AddArrayLine(nul   ,nul   ,43101,nul   ,0,nul); -- Meatloaf Pan (Cooking Daily)
  DailyItem_AddArrayLine(nul   ,nul   ,43139,nul   ,0,nul); -- Empty Cheese Serving Platter (Cooking Daily)
  DailyItem_AddArrayLine(nul   ,nul   ,43142,nul   ,0,nul); -- Empty Picnic Basket (Cooking Daily)
  DailyItem_AddArrayLine(nul   ,nul   ,43147,nul   ,0,nul); -- Stew Cookpot (Cooking Daily)
  DailyItem_AddArrayLine(nul   ,nul   ,44113,nul   ,0,nul); -- Small Spice Bag (Cooking Daily Reward)
  DailyItem_AddArrayLine(nul   ,nul   ,45328,nul   ,0,nul); -- Bloated Slippery Eel (Fishing Daily)
  DailyItem_AddArrayLine(nul   ,nul   ,45724,nul   ,0,nul); -- Champion's Purse (Argent Tournament Reward)
  DailyItem_AddArrayLine(nul   ,nul   ,46004,nul   ,0,-13845); -- Sealed Vial of Poison (Fishing Daily)
  DailyItem_AddArrayLine(nul   ,nul   ,46007,nul   ,0,nul); -- Bag of Fishing Treasures (Fishing Daily Reward)
  DailyItem_AddArrayLine(nul   ,nul   ,48679,nul   ,0,-14203); -- Waterlogged Recipe (Fishing Daily Reward)
  DailyItem_AddArrayLine(nul   ,nul   ,49667,nul   ,0,-24431); -- Waterlogged Recipe (Fishing Daily Reward)
  DailyItem_AddArrayLine(nul   ,nul   ,49676,nul   ,0,-24442); -- Kvaldir Attack Plans (Argent Drop Quest)
  DailyItem_AddArrayLine(nul   ,nul   ,52006,nul   ,0,nul); -- Sack of Frosty Treasures (ICC Random Quest Reward)
  DailyItem_AddArrayLine(nul   ,nul   ,52507,nul   ,0,nul); -- Stardust No. 2 (Jewelcrafting Daily)
  DailyItem_AddArrayLine(nul   ,nul   ,52676,nul   ,0,nul); -- Cache of the Ley-Guardian (Oculus Random Heroic Reward)
  DailyItem_AddArrayLine(nul   ,nul   ,54516,nul   ,0,nul); -- Loot-Filled Pumpkin (Hallows' End Reward)
  DailyItem_AddArrayLine(nul   ,nul   ,58856,nul   ,0,nul); -- Royal Monkfish (Big Gulp)
  DailyItem_AddArrayLine(nul   ,nul   ,67414,nul   ,0,nul); -- Bag of Shiny Things (Fishing Daily Reward)

  DailyItem_AddArrayLine(DI_BNT,DI_COL,35506,DI_NDH,1,nul);
  DailyItem_AddArrayLine(DI_BNT,DI_NEX,35506,DI_NDH,1,nul);
  DailyItem_AddArrayLine(DI_DEE,DI_CDS,65514,nul   ,0,nul); -- Ricket's Tickers (Underground Economy)
  DailyItem_AddArrayLine(DI_DEE,DI_TPR,60266,nul   ,0,nul); -- Stonework Mallet (The Restless Brood)
  DailyItem_AddArrayLine(DI_DRB,DI_DML,45000,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_DUR,""    ,33096,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_DUR,DI_THR,58955,nul   ,0,nul); -- Razgar's Fillet Knife (Fishing Daily)
  DailyItem_AddArrayLine(DI_DUR,DI_THR,58958,nul   ,0,nul); -- Drowned Thunder Lizard Tail (Fishing Daily)
  DailyItem_AddArrayLine(DI_GZH,""    ,44986,nul   ,0,nul); -- Warts-B-Gone Lip Balm (Argent Tournament)
  DailyItem_AddArrayLine(DI_GZH,DI_AWL,44986,nul   ,0,nul); -- Warts-B-Gone Lip Balm (Argent Tournament)
  DailyItem_AddArrayLine(DI_HBF,DI_SOS,20387,nul   ,0,nul); -- Forsaken Stink Bomb Cluster (Hallow's End)
  DailyItem_AddArrayLine(DI_HFJ,""    ,40946,nul   ,0,nul); -- Anuniaq's Net (The Kalu'ak)
  DailyItem_AddArrayLine(DI_HFJ,DI_TSH,34127,nul   ,0,nul); -- Tasty Reef Fish (The Kalu'ak)
  DailyItem_AddArrayLine(DI_HFJ,DI_WBL,45005,DI_MWL,1,nul); -- Everburning Ember (Argent Tournament)
  DailyItem_AddArrayLine(DI_HGL,""    ,46870,nul   ,0,nul); -- Confessor's Prayer Book (The Light's Mercy)
  DailyItem_AddArrayLine(DI_HGL,DI_SRR,46954,nul   ,0,nul); -- Confessor's Prayer Book (The Light's Mercy)
  DailyItem_AddArrayLine(DI_ICE,nul   ,46069,nul   ,0,nul); -- Alliance Lance (Argent Tournament)
  DailyItem_AddArrayLine(DI_ICE,nul   ,46070,nul   ,0,nul); -- Horde Lance (Argent Tournament)
  DailyItem_AddArrayLine(DI_ICE,nul   ,46106,nul   ,0,nul); -- Argent Lance (Argent Tournament)
  DailyItem_AddArrayLine(DI_ICE,DI_NJV,42480,nul   ,0,12995); -- Ebon Blade Banner (Leave Our Mark)
  DailyItem_AddArrayLine(DI_ICE,DI_JOT,42480,nul   ,0,12995); -- Ebon Blade Banner (Leave Our Mark)
  DailyItem_AddArrayLine(DI_ICE,DI_VAL,42480,nul   ,0,12995); -- Ebon Blade Banner (Leave Our Mark)
  DailyItem_AddArrayLine(DI_ICE,DI_MDG,44009,nul   ,0,nul); -- Flesh Giant Spine (Neutralizing the Plague)
  DailyItem_AddArrayLine(DI_ICE,DI_MDG,44010,nul   ,0,nul); -- Pustulant Spinal Fluid (Neutralizing the Plague)
  DailyItem_AddArrayLine(DI_ICE,DI_TBF,43968,nul   ,0,13288); -- Abomination Reanimation Kit (That's Abominable!)
  DailyItem_AddArrayLine(DI_ICE,DI_TBF,43968,nul   ,0,13289); -- Abomination Reanimation Kit (That's Abominable!)
  DailyItem_AddArrayLine(DI_ICE,DI_TBF,43968,nul   ,0,13264); -- Abomination Reanimation Kit (That's Abominable!)
  DailyItem_AddArrayLine(DI_ICE,DI_TBF,43968,nul   ,0,13276); -- Abomination Reanimation Kit (That's Abominable!)
  DailyItem_AddArrayLine(DI_ICE,DI_TBF,43608,nul   ,0,13261); -- Copperclaw's Volatile Oil (Volatility)
  DailyItem_AddArrayLine(DI_ICE,DI_TBF,43608,nul   ,0,13239); -- Copperclaw's Volatile Oil (Volatility)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44476,nul   ,0,13346); -- Alumeth's Skull (No Rest For The Wicked)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44480,nul   ,0,13346); -- Alumeth's Remains (No Rest For The Wicked)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44476,nul   ,0,13350); -- Alumeth's Skull (No Rest For The Wicked)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44480,nul   ,0,13350); -- Alumeth's Remains (No Rest For The Wicked)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44476,nul   ,0,13367); -- Alumeth's Skull (No Rest For The Wicked)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44480,nul   ,0,13367); -- Alumeth's Remains (No Rest For The Wicked)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44476,nul   ,0,13368); -- Alumeth's Skull (No Rest For The Wicked)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44480,nul   ,0,13368); -- Alumeth's Remains (No Rest For The Wicked)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44304,nul   ,0,nul); -- Writhing Mass
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44246,DI_DSJ,0,nul); -- Orb of Illusion
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44433,DI_ESM,0,nul); -- Rod of Siphoning
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44307,nul   ,0,13321); -- Diluted Cult Tonic (Retest Now)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44307,nul   ,0,13322); -- Diluted Cult Tonic (Retest Now)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44307,nul   ,0,13356); -- Diluted Cult Tonic (Retest Now)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44307,nul   ,0,13357); -- Diluted Cult Tonic (Retest Now)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44301,nul   ,0,13321); -- Tainted Essence (Retest Now)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44301,nul   ,0,13322); -- Tainted Essence (Retest Now)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44301,nul   ,0,13356); -- Tainted Essence (Retest Now)
  DailyItem_AddArrayLine(DI_ICE,DI_ADG,44301,nul   ,0,13357); -- Tainted Essence (Retest Now)
  DailyItem_AddArrayLine(DI_ICE,DI_VFH,44212,DI_SRF,1,13313); -- SGM-3
  DailyItem_AddArrayLine(DI_ICE,DI_VFH,44212,DI_SRF,1,13331); -- SGM-3
  DailyItem_AddArrayLine(DI_ICE,DI_VFH,47033,DI_FHS,0,14107); -- Light-Blessed Relic (The Fate Of The Fallen)
  DailyItem_AddArrayLine(DI_ICE,DI_DRS,38556,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_ICE,""    ,47036,nul   ,0,nul); -- Fresh Chum (Argent Tournament)
  DailyItem_AddArrayLine(DI_IQD,""    ,34489,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_IQD,DI_SRH,34338,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_IQD,DI_SRA,34500,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_IQD,DI_TBO,34489,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_IQD,DI_TSO,34489,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_IQD,DI_TDC,34489,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_IQD,DI_TDS,34533,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_IQD,DI_TDS,34414,DI_EOH,0,nul);
  DailyItem_AddArrayLine(DI_IQD,DI_GGC,34533,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_IQD,DI_GGC,34483,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_IQD,DI_DSV,34533,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_IQD,DI_DES,34475,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_IQD,nul   ,34368,DI_ERS,0,nul);
  DailyItem_AddArrayLine(DI_NAG,DI_HAL,38556,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_SHB,DI_RVH,45902,nul   ,0,nul); -- Phantom Ghostfish (Cooking Daily)
  DailyItem_AddArrayLine(DI_TBP,DI_TRF,62829,nul   ,0,nul); -- Magnetised Scrap Collector (Tol Barad Daily)
  DailyItem_AddArrayLine(DI_THL,DI_VRL,62775,DI_TWG,1,nul); -- Barbed Fleshhook (Dragonmaw Daily)
  DailyItem_AddArrayLine(DI_TKF,DI_RTR,34255,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_TSP,DI_FJA,42246,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_TSP,DI_GMB,46885,DI_SBF,1,nul); -- Weighted Net (Argent Tournament)
  DailyItem_AddArrayLine(DI_TSP,DI_THF,42164,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_TSP,DI_VAW,42769,DI_WWM,1,13003); -- Spear of Hodir (Thrusting Hodir's Spear)
  DailyItem_AddArrayLine(DI_TSP,DI_VAW,42479,DI_CFW,0,nul);
  DailyItem_AddArrayLine(DI_TSP,DI_VAW,42774,DI_RJM,0,nul);
  DailyItem_AddArrayLine(DI_TSP,DI_TFM,42837,DI_EVK,1,nul);
  DailyItem_AddArrayLine(DI_TSP,DI_TPF,42499,nul   ,0,nul); -- Reins of the Warbear Matriarch (Back to the Pit)
  DailyItem_AddArrayLine(DI_TSP,DI_TSF,46893,nul   ,0,nul); -- Earthshaker Drum (Argent Tournament)
  DailyItem_AddArrayLine(DI_ULD,DI_SOI,46029,nul   ,0,nul);
  DailyItem_AddArrayLine(DI_ULM,DI_TAH,63351,nul   ,0,nul); -- Thieving Little Pluckers
  DailyItem_AddArrayLine(DI_ZLD,DI_KOL,38556,nul   ,0,nul);


-- The Occulus drakes

  DailyItem_AddArrayLine(nul   ,nul   ,37815,nul   ,0,nul);
  DailyItem_AddArrayLine(nul   ,nul   ,37860,nul   ,0,nul);
  DailyItem_AddArrayLine(nul   ,nul   ,37859,nul   ,0,nul);

-- ToC Lances

  DailyItem_AddArrayLine(DI_TOC,nul   ,46069,nul   ,0,nul); -- Alliance Lance
  DailyItem_AddArrayLine(DI_TOC,nul   ,46070,nul   ,0,nul); -- Horde Lance
  DailyItem_AddArrayLine(DI_TOC,nul   ,46106,nul   ,0,nul); -- Argent Lance

-- Now for items you will use again and again in PvP battles:

  DailyItem_AddArrayLine(DI_SOA,nul   ,39213,nul   ,0,nul); -- Massive Seaforium Charge
  DailyItem_AddArrayLine(DI_WTG,nul   ,42986,nul   ,0,nul); -- The RP-GG
  DailyItem_AddArrayLine(DI_IOC,nul   ,46847,nul   ,0,nul); -- Seaforium Bombs
  DailyItem_AddArrayLine(DI_IOC,nul   ,47030,nul   ,0,nul); -- Huge Seaforium Bombs

-- Other repeated stuff

  DailyItem_AddArrayLine(DI_ICC,nul   ,49278,nul   ,0,nul); -- Goblin Rocket Pack (ICC Gunship)
  DailyItem_AddArrayLine(DI_ICC,nul   ,50851,nul   ,0,nul); -- Pulsing Life Crystal (ICC Random Quest)
  DailyItem_AddArrayLine(DI_COS,nul   ,37888,nul   ,0,nul); -- Arcane Disruptor (Culling of Stratholme)`

end